Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.genetic
Class MLMethodGenome

    java.lang.Object
      org.encog.ml.ea.genome.BasicGenome
          org.encog.ml.genetic.genome.DoubleArrayGenome
              org.encog.ml.genetic.MLMethodGenome

All Implemented Interfaces:
  Serializable, Genome, ArrayGenome, MLMethod

    public class MLMethodGenome

extends DoubleArrayGenome

Implements a genome that allows a feedforward neural network to be trained using a genetic algorithm. The chromosome for a feed forward neural network is the weight and bias matrix.

See Also:
  Serialized Form

Constructor Summary
`MLMethodGenome(MLEncodable thePhenotype)` Construct a neural genome.

Method Summary
`void` | `decode()` Decode the phenotype.
`MLEncodable` | `getPhenotype()`
`void` | `setPhenotype(MLEncodable phenotype)`

Methods inherited from class org.encog.ml.genetic.genome.DoubleArrayGenome
`copy, copy, getData, size, swap`

Methods inherited from class org.encog.ml.ea.genome.BasicGenome
`getAdjustedScore, getBirthGeneration, getPopulation, getScore, getSpecies, setAdjustedScore, setBirthGeneration, setPopulation, setScore, setSpecies, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.encog.ml.ea.genome.Genome
`getAdjustedScore, getBirthGeneration, getPopulation, getScore, getSpecies, setAdjustedScore, setBirthGeneration, setPopulation, setScore, setSpecies`

Constructor Detail

### MLMethodGenome

    public MLMethodGenome(MLEncodable thePhenotype)

  Construct a neural genome.

  Parameters:
    `thePhenotype` - The phenotype to use.

Method Detail

### decode

    public void decode()

  Decode the phenotype.

### getPhenotype

    public MLEncodable getPhenotype()

  Returns:
    the phenotype

### setPhenotype

    public void setPhenotype(MLEncodable phenotype)

  Parameters:
    `phenotype` - the phenotype to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.